LibreOffice: DateTimeRange Struct Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
DateTimeRange Struct Referencepublished

represents a range of date+time values. More...

`import"DateTimeRange.idl";`

## Public Attributes
unsigned long | StartNanoSeconds
| contains the start nanoseconds (0 - 999 999 999) for the range. More...
unsigned short | StartSeconds
| contains the start seconds (0-59) for the range. More...
unsigned short | StartMinutes
| contains the start minutes (0-59) for the range. More...
unsigned short | StartHours
| contains the start hour (0-23) for the range. More...
unsigned short | StartDay
| contains the start day of month (1-31 or 0 for a void date) for the range. More...
unsigned short | StartMonth
| contains the start month of year (1-12 or 0 for a void date) for the range. More...
short | StartYear
| contains the start year for the range. More...
unsigned long | EndNanoSeconds
| contains the end nanoseconds (0 - 999 999 999) for the range. More...
unsigned short | EndSeconds
| contains the end seconds (0-59) for the range. More...
unsigned short | EndMinutes
| contains the end minutes (0-59) for the range. More...
unsigned short | EndHours
| contains the end hour (0-23) for the range. More...
unsigned short | EndDay
| contains the end day of month (1-31 or 0 for a void date) for the range. More...
unsigned short | EndMonth
| contains the end month of year (1-12 or 0 for a void date) for the range. More...
short | EndYear
| contains the end year for the range. More...
boolean | IsUTC
| true: time zone is UTC false: unknown time zone. More...

## Detailed Description

represents a range of date+time values.

## Member Data Documentation

unsigned short EndDay

contains the end day of month (1-31 or 0 for a void date) for the range.

unsigned short EndHours

contains the end hour (0-23) for the range.

unsigned short EndMinutes

contains the end minutes (0-59) for the range.

unsigned short EndMonth

contains the end month of year (1-12 or 0 for a void date) for the range.

unsigned long EndNanoSeconds

contains the end nanoseconds (0 - 999 999 999) for the range.

unsigned short EndSeconds

contains the end seconds (0-59) for the range.

short EndYear

contains the end year for the range.

boolean IsUTC

true: time zone is UTC false: unknown time zone.

Since
  LibreOffice 4.1

unsigned short StartDay

contains the start day of month (1-31 or 0 for a void date) for the range.

unsigned short StartHours

contains the start hour (0-23) for the range.

unsigned short StartMinutes

contains the start minutes (0-59) for the range.

unsigned short StartMonth

contains the start month of year (1-12 or 0 for a void date) for the range.

unsigned long StartNanoSeconds

contains the start nanoseconds (0 - 999 999 999) for the range.

unsigned short StartSeconds

contains the start seconds (0-59) for the range.

short StartYear

contains the start year for the range.

The documentation for this struct was generated from the following file:

- com/sun/star/util/DateTimeRange.idl